"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var reactRedux;
try {
    reactRedux = require('react-redux');
}
catch (error) {
    reactRedux = null;
}
/**
 * react-redux connect decorator implementation for Typescript
 * suppresses @types/react-redux issue when using connect as a decorator
 */
var connect = function (mapStateToProps, mapDispatchToProps, mergeProps, options) {
    if (reactRedux) {
        return function (target) { return reactRedux.connect(mapStateToProps, mapDispatchToProps, mergeProps, options)(target); };
    }
    return;
};
exports.connect = connect;
